Request

Response

    Get All External Sync Configs
    GET

    vaults/{vaultId}/vault-options/ext-sync-configs

    Retrieves all external sync configurations as key-value pairs where key is config ID and value is configuration content.

    Resource Information

    Method and URI
    GET
    /AutodeskDM/Services/api/vault/v2/vaults/{vaultId}/vault-options/ext-sync-configs
    Authentication Context
    User context required
    Required OAuth Scopes
    No scopes required
    Data Format
    JSON

    Request

    Headers

    Authorization*
    string
    Must be Bearer <token>, where <token> is a three-legged access token obtained via an Authorization Code flow or a Secure Service Account (SSA) flow.

    The SSA flow is designed for headless server-to-server operations. While it functions like a two-legged flow (no user interaction), it is classified as three-legged because it preserves user context.

    * Required

    Request

    URI Parameters

    vaultId
    string
    The unique identifier of a Knowledge Vault.

    Response

    HTTP Status Code Summary

    200
    OK
    All external sync configurations were successfully retrieved.
    400
    Bad Request
    The server was unable to process the request. The syntax of the request is malformed or the request is missing a required header. Do not repeat the request without fixing the issue. The response body may indicate what is wrong with the request.
    401
    Unauthorized
    The supplied authorization header was not valid or the supplied token scope was not acceptable. Verify authentication and try again.
    403
    Forbidden
    The request was successfully validated but lacking the required permissions. Verify your credentials and permissions before you send this request again.

    Response

    Body Structure (200)

    string

    Example

    This example illustrates how to get all external sync configs.

    Note: {VaultServerAddress} is used as a placeholder in the example(s) and could represent one of the following:

    • Vault Server IP address or hostname. Ex: http://10.41.110.49.
    • Vault Gateway URL if gateway is configured. Ex: https://test.vg.autodesk.com.

    Request

    curl -v '{VaultServerAddress}/AutodeskDM/Services/api/vault/v2/vaults/9/vault-options/ext-sync-configs' \
      -X 'GET' \
      -H 'Accept: application/json'\
      -H 'Authorization: Bearer AuIPTf4KYLTYGVnOHQ0cuolwCW2a...'
    

    Response

    {
      "adsk.Vault.ExternalSyncTask.FusionManage": "{\"Workflows\":[{\"Name\":\"Upload item\",\"Type\":\"Adsk.UploadItem\",\"Settings\":[{\"Name\":\"includePrimaryDesignRepresentation\",\"Type\":\"boolean\",\"Value\":true},{\"Name\":\"includeTertiaryDesignRepresentation\",\"Type\":\"boolean\",\"Value\":true},{\"Name\":\"includePrimaryDesignVisualization\",\"Type\":\"boolean\",\"Value\":true},{\"Name\":\"includeTertiaryDesignVisualization\",\"Type\":\"boolean\",\"Value\":true},{\"Name\":\"includeItemAttachment\",\"Type\":\"boolean\",\"Value\":true},{\"Name\":\"commonAttachmentExtensions\",\"Type\":\"text\",\"Value\":\".*\"},{\"Name\":\"includeCustomAttachmentExtensions\",\"Type\":\"boolean\",\"Value\":false},{\"Name\":\"customAttachmentExtensions\",\"Type\":\"text\",\"Value\":\"\"},{\"Name\":\"ItemSyncActionSetting\",\"Type\":\"Enum\",\"Value\":1}],\"Mappings\":[{\"Source\":\"ItemVersion\",\"Destination\":\"ItemField\",\"Fields\":[{\"Type\":\"user\",\"Source\":{\"Type\":null,\"Id\":\"Title(Item,CO)\"},\"Destination\":{\"Type\":null,\"Id\":\"TITLE\"}},{\"Type\":\"user\",\"Source\":{\"Type\":null,\"Id\":\"Description(Item,CO)\"},\"Destination\":{\"Type\":null,\"Id\":\"DESCRIPTION\"}},{\"Type\":\"user\",\"Source\":{\"Type\":null,\"Id\":\"CategoryName\"},\"Destination\":{\"Type\":null,\"Id\":\"PDM_CATEGORY\"}},{\"Type\":\"user\",\"Source\":{\"Type\":null,\"Id\":\"ModDate\"},\"Destination\":{\"Type\":null,\"Id\":\"PDM_LAST_MODIFICATION_DATE\"}},{\"Type\":\"user\",\"Source\":{\"Type\":null,\"Id\":\"Material\"},\"Destination\":{\"Type\":null,\"Id\":\"MATERIAL\"}},{\"Type\":\"user\",\"Source\":{\"Type\":null,\"Id\":\"LastModifiedUserName\"},\"Destination\":{\"Type\":null,\"Id\":\"RESPONSIBLE_DESIGNER\"}},{\"Type\":\"user\",\"Source\":{\"Type\":null,\"Id\":\"Units\"},\"Destination\":{\"Type\":null,\"Id\":\"PDM_UNIT_OF_MEASURE\"}},{\"Type\":\"identifier\",\"Source\":{\"Type\":null,\"Id\":\"Number\"},\"Destination\":{\"Type\":null,\"Id\":\"NUMBER\"}},{\"Type\":\"system\",\"Source\":{\"Type\":null,\"Id\":\"GetThumbnail\"},\"Destination\":{\"Type\":null,\"Id\":\"IMAGE\"}},{\"Type\":\"system\",\"Source\":{\"Type\":\"attribute\",\"Id\":\"Id\"},\"Destination\":{\"Type\":null,\"Id\":\"PDM_ITEM_ID\"}},{\"Type\":\"system\",\"Source\":{\"Type\":\"attribute\",\"Id\":\"Item.Id\"},\"Destination\":{\"Type\":null,\"Id\":\"PDM_MASTER_ID\"}},{\"Type\":\"system\",\"Source\":{\"Type\":\"attribute\",\"Id\":\"Version\"},\"Destination\":{\"Type\":null,\"Id\":\"PDM_ITEM_VERSION\"}}],\"Name\":\"ItemPropertyMapping\",\"Type\":\"field\"},{\"Source\":\"BomLink\",\"Destination\":\"BomField\",\"Fields\":[{\"Type\":\"user\",\"Source\":{\"Type\":\"attribute\",\"Id\":\"BOMOrder\"},\"Destination\":{\"Type\":null,\"Id\":\"ROW_ORDER\"}},{\"Type\":\"user\",\"Source\":{\"Type\":\"attribute\",\"Id\":\"QuantityNumber\"},\"Destination\":{\"Type\":null,\"Id\":\"QTY_POS\"}},{\"Type\":\"system\",\"Source\":{\"Type\":\"attribute\",\"Id\":\"PositionNumber, BomOrder\"},\"Destination\":{\"Type\":\"attribute\",\"Id\":\"ItemNumber\"}},{\"Type\":\"system\",\"Source\":{\"Type\":\"attribute\",\"Id\":\"InstCount\"},\"Destination\":{\"Type\":\"attribute\",\"Id\":\"Quantity\"}}],\"Name\":\"BOMLinkPropertyMapping\",\"Type\":\"field\"},{\"Source\":\"PrimaryFile\",\"Destination\":\"ItemField\",\"Fields\":[{\"Type\":\"user\",\"Source\":{\"Type\":null,\"Id\":\"ClientFileName\"},\"Destination\":{\"Type\":null,\"Id\":\"PRIMARY_FILE_NAME\"}},{\"Type\":\"user\",\"Source\":{\"Type\":null,\"Id\":\"Revision\"},\"Destination\":{\"Type\":null,\"Id\":\"PRIMARY_FILE_REVISION_VERSION\"}},{\"Type\":\"user\",\"Source\":{\"Type\":null,\"Id\":\"FolderPath\"},\"Destination\":{\"Type\":null,\"Id\":\"PDM_LOCATION\"}}],\"Name\":\"PrimaryFilePropertyMapping\",\"Type\":\"field\"}]}],\"Schema\":null,\"Version\":\"1.2.0\",\"CompatibleVersion\":\"1.0.0\",\"Name\":\"Vault to Fusion Manage\",\"Type\":\"Adsk.VaultConnector\",\"Repositories\":{\"Source\":{\"Name\":\"Vault\",\"Type\":\"Adsk.Vault\",\"Id\":\"0ff3355a-3fac-4935-8e59-d3be6a063899\",\"Location\":\"http://shagm00vtsg.ads.autodesk.com/Vaults/9\",\"Initializer\":null},\"Destination\":{\"Name\":null,\"Type\":\"Adsk.FusionManage\",\"Id\":null,\"Location\":\"urn:adsk.plm:tenant.workspace:STGADSKVAULTINTEGRATION.57\",\"Initializer\":null}}}"
    }